## r-cran-viridis 0.3.4

=== DESCRIPTION ===
Package: viridis
Type: Package
Title: Default Color Maps from 'matplotlib'
Version: 0.3.4
Date: 2016-03-11
Authors@R: c(
      person("Simon", "Garnier", email = "garnier@njit.edu", role = c("aut", "cre")),
      person("Noam", "Ross", email = "noam.ross@gmail.com", role = c("ctb", "cph"), comment = "Continuous scale"),
      person("Bob", "Rudis", email = "bob@rudis.net", role = c("ctb", "cph"), comment = "Combined scales")
  )
Maintainer: Simon Garnier <garnier@njit.edu>
Description: Port of the new 'matplotlib' color maps ('viridis' - the default
    -, 'magma', 'plasma' and 'inferno') to 'R'. 'matplotlib' <http://matplotlib.org/
    > is a popular plotting library for 'python'. These color maps are designed
    in such a way that they will analytically be perfectly perceptually-uniform,
    both in regular form and also when converted to black-and-white. They are
    also designed to be perceived by readers with the most common form of color
    blindness.
License: MIT + file LICENSE
LazyData: TRUE
Encoding: UTF-8
Depends: R (>= 2.10)
Imports: stats, grDevices, ggplot2 (>= 1.0.1), gridExtra
Suggests: hexbin (>= 1.27.0), scales, MASS, knitr, dichromat,
        colorspace, rasterVis, httr, mapproj
VignetteBuilder: knitr
URL: https://github.com/sjmgarnier/viridis
BugReports: https://github.com/sjmgarnier/viridis/issues
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-03-12 00:32:35 UTC; simon
Author: Simon Garnier [aut, cre],
  Noam Ross [ctb, cph] (Continuous scale),
  Bob Rudis [ctb, cph] (Combined scales)
Repository: CRAN
Date/Publication: 2016-03-12 06:17:29

=== debian/changelog ===
r-cran-viridis (0.3.4-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #843124)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Nov 2016 13:30:16 -0500

=== debian/control ===
Source: r-cran-viridis
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.2), cdbs, r-cran-ggplot2, r-cran-gridextra
Standards-Version: 3.9.8

Package: r-cran-viridis
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-stringr, r-cran-knitr, r-cran-magrittr
Description: GNU R package for color maps from matplotlib
 The viridis package provides a port of the new matplotlib color maps
 (viridis (default), magma, plasma and inferno) to R. matplotlib
 <http://matplotlib.org/ is a popular plotting library for
 Python. These color maps are designed in such a way that they will
 analytically be perfectly perceptually-uniform, both in regular form
 and also when converted to black-and-white. They are also designed to
 be perceived by readers with the most common form of color blindness.

## r-cran-viridis 0.4.0

=== DESCRIPTION ===
Package: viridis
Type: Package
Title: Default Color Maps from 'matplotlib'
Version: 0.4.0
Authors@R: c(
      person("Simon", "Garnier", email = "garnier@njit.edu", role = c("aut", "cre")),
      person("Noam", "Ross", email = "noam.ross@gmail.com", role = c("ctb", "cph")),
      person("Bob", "Rudis", email = "bob@rud.is", role = c("ctb", "cph"))
  )
Maintainer: Simon Garnier <garnier@njit.edu>
Description: Port of the new 'matplotlib' color maps ('viridis' - the default
    -, 'magma', 'plasma' and 'inferno') to 'R'. 'matplotlib' <http://matplotlib.org/
    > is a popular plotting library for 'python'. These color maps are designed
    in such a way that they will analytically be perfectly perceptually-uniform,
    both in regular form and also when converted to black-and-white. They are
    also designed to be perceived by readers with the most common form of color
    blindness.
License: MIT + file LICENSE
LazyData: TRUE
Encoding: UTF-8
Depends: R (>= 2.10), viridisLite (>= 0.2.0)
Imports: stats, ggplot2 (>= 1.0.1), gridExtra
Suggests: hexbin (>= 1.27.0), scales, MASS, knitr, dichromat,
        colorspace, rasterVis, httr, mapproj, vdiffr, svglite (>=
        1.2.0), testthat, covr, rmarkdown
VignetteBuilder: knitr
URL: https://github.com/sjmgarnier/viridis
BugReports: https://github.com/sjmgarnier/viridis/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-03-27 03:03:30 UTC; simon
Author: Simon Garnier [aut, cre],
  Noam Ross [ctb, cph],
  Bob Rudis [ctb, cph]
Repository: CRAN
Date/Publication: 2017-03-27 14:09:22 UTC

=== debian/changelog ===
r-cran-viridis (0.4.0-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 12:48:21 +0000

r-cran-viridis (0.4.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

  * debian/control: Add new package r-cran-viridislite to (Build-)Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Apr 2017 09:36:46 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.2), cdbs, r-cran-ggplot2, r-cran-gridextra
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.3), cdbs, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
 Standards-Version: 3.9.8
 
 Package: r-cran-viridis
 Architecture: all
-Depends: ${misc:Depends}, ${R:Depends}, r-cran-stringr, r-cran-knitr, r-cran-magrittr
+Depends: ${misc:Depends}, ${R:Depends}, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
 Description: GNU R package for color maps from matplotlib
  The viridis package provides a port of the new matplotlib color maps
  (viridis (default), magma, plasma and inferno) to R. matplotlib

## r-cran-viridis 0.5.0

=== DESCRIPTION ===
Package: viridis
Type: Package
Title: Default Color Maps from 'matplotlib'
Version: 0.5.0
Authors@R: c(
      person("Simon", "Garnier", email = "garnier@njit.edu", role = c("aut", "cre")),
      person("Noam", "Ross", email = "noam.ross@gmail.com", role = c("ctb", "cph")),
      person("Bob", "Rudis", email = "bob@rud.is", role = c("ctb", "cph")),
      person("Marco", "Sciaini", email = "sciaini.marco@gmail.com", role = c("ctb", "cph")),
      person("Cédric", "Scherer", email = "scherer@izw-berlin.de", role = c("ctb", "cph"))
  )
Maintainer: Simon Garnier <garnier@njit.edu>
Description: Implementation of the 'viridis' - the default -, 'magma', 'plasma', 
    'inferno', and 'cividis' color maps for 'R'. 'viridis', 'magma', 'plasma', 
    and 'inferno' are ported from 'matplotlib' <http://matplotlib.org/>, a 
    popular plotting library for 'python'. 'cividis', was developed by Jamie R. 
    Nuñez and Sean M. Colby. These color maps are designed in such a way that 
    they will analytically be perfectly perceptually-uniform, both in regular 
    form and also when converted to black-and-white. They are also designed to 
    be perceived by readers with the most common form of color blindness (all 
    color maps in this package) and color vision deficiency ('cividis' only). 
License: MIT + file LICENSE
LazyData: TRUE
Encoding: UTF-8
Depends: R (>= 2.10), viridisLite (>= 0.2.0)
Imports: stats, ggplot2 (>= 1.0.1), gridExtra
Suggests: hexbin (>= 1.27.0), scales, MASS, knitr, dichromat,
        colorspace, rasterVis, httr, mapproj, vdiffr, svglite (>=
        1.2.0), testthat, covr, rmarkdown, rgdal
VignetteBuilder: knitr
URL: https://github.com/sjmgarnier/viridis
BugReports: https://github.com/sjmgarnier/viridis/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-02 14:55:01 UTC; simon
Author: Simon Garnier [aut, cre],
  Noam Ross [ctb, cph],
  Bob Rudis [ctb, cph],
  Marco Sciaini [ctb, cph],
  Cédric Scherer [ctb, cph]
Repository: CRAN
Date/Publication: 2018-02-02 18:21:49 UTC

=== debian/changelog ===
r-cran-viridis (0.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Feb 2018 21:00:40 -0600

r-cran-viridis (0.4.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Jan 2018 21:37:18 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.3), cdbs, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.3), cdbs, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
+Standards-Version: 4.1.3
 
 Package: r-cran-viridis
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-viridis package
# Copyright 2003-2016 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-viridis 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: viridis
 Type: Package
 Title: Default Color Maps from 'matplotlib'
-Version: 0.5.0
+Version: 0.5.1
 Authors@R: c(
       person("Simon", "Garnier", email = "garnier@njit.edu", role = c("aut", "cre")),
       person("Noam", "Ross", email = "noam.ross@gmail.com", role = c("ctb", "cph")),
@@ -22,7 +22,7 @@
 License: MIT + file LICENSE
 LazyData: TRUE
 Encoding: UTF-8
-Depends: R (>= 2.10), viridisLite (>= 0.2.0)
+Depends: R (>= 2.10), viridisLite (>= 0.3.0)
 Imports: stats, ggplot2 (>= 1.0.1), gridExtra
 Suggests: hexbin (>= 1.27.0), scales, MASS, knitr, dichromat,
         colorspace, rasterVis, httr, mapproj, vdiffr, svglite (>=
@@ -32,11 +32,11 @@
 BugReports: https://github.com/sjmgarnier/viridis/issues
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-02-02 14:55:01 UTC; simon
+Packaged: 2018-03-29 14:51:56 UTC; simon
 Author: Simon Garnier [aut, cre],
   Noam Ross [ctb, cph],
   Bob Rudis [ctb, cph],
   Marco Sciaini [ctb, cph],
   Cédric Scherer [ctb, cph]
 Repository: CRAN
-Date/Publication: 2018-02-02 18:21:49 UTC
+Date/Publication: 2018-03-29 15:48:56 UTC

=== debian/changelog ===
r-cran-viridis (0.5.1-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Jun 2018 07:02:10 -0500

r-cran-viridis (0.5.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Mar 2018 07:48:06 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.3), cdbs, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-viridis
+Vcs-Git: https://salsa.debian.org/edd/r-cran-viridis.git
+Homepage: https://cran.r-project.org/package=viridis
 
 Package: r-cran-viridis
 Architecture: all

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/viridis_([-\d\.]*)\.tar.gz

## r-cran-viridis 0.6.2

=== DESCRIPTION ===
Package: viridis
Type: Package
Title: Colorblind-Friendly Color Maps for R
Version: 0.6.2
Authors@R: c(
      person("Simon", "Garnier", email = "garnier@njit.edu", role = c("aut", "cre")),
      person("Noam", "Ross", email = "noam.ross@gmail.com", role = c("ctb", "cph")),
      person("Bob", "Rudis", email = "bob@rud.is", role = c("ctb", "cph")),
      person("Marco", "Sciaini", email = "sciaini.marco@gmail.com", role = c("ctb", "cph")),
      person("Antônio Pedro", "Camargo", role = c("ctb", "cph")),
      person("Cédric", "Scherer", email = "scherer@izw-berlin.de", role = c("ctb", "cph"))
  )
Maintainer: Simon Garnier <garnier@njit.edu>
Description: Color maps designed to improve graph readability for readers with 
    common forms of color blindness and/or color vision deficiency. The color 
    maps are also perceptually-uniform, both in regular form and also when 
    converted to black-and-white for printing. This package also contains 
    'ggplot2' bindings for discrete and continuous color and fill scales. A lean
    version of the package called 'viridisLite' that does not include the 
    'ggplot2' bindings can be found at 
    <https://cran.r-project.org/package=viridisLite>.
License: MIT + file LICENSE
Encoding: UTF-8
Depends: R (>= 2.10), viridisLite (>= 0.4.0)
Imports: stats, ggplot2 (>= 1.0.1), gridExtra
Suggests: hexbin (>= 1.27.0), scales, MASS, knitr, dichromat,
        colorspace, raster, rasterVis, httr, mapproj, vdiffr, svglite
        (>= 1.2.0), testthat, covr, rmarkdown, rgdal, maps
LazyData: true
VignetteBuilder: knitr
URL: https://sjmgarnier.github.io/viridis/,
        https://github.com/sjmgarnier/viridis/
BugReports: https://github.com/sjmgarnier/viridis/issues
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-10-13 12:03:30 UTC; simon
Author: Simon Garnier [aut, cre],
  Noam Ross [ctb, cph],
  Bob Rudis [ctb, cph],
  Marco Sciaini [ctb, cph],
  Antônio Pedro Camargo [ctb, cph],
  Cédric Scherer [ctb, cph]
Repository: CRAN
Date/Publication: 2021-10-13 20:50:02 UTC

=== debian/changelog ===
r-cran-viridis (0.6.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version  

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Oct 2021 17:18:54 -0500

r-cran-viridis (0.6.1-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 17:24:29 -0500

r-cran-viridis (0.6.1-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 May 2021 17:45:05 -0500

r-cran-viridis (0.6.0-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version  
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Apr 2021 08:53:07 -0500

r-cran-viridis (0.5.1-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 May 2020 20:21:41 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-viridis
 Vcs-Git: https://salsa.debian.org/edd/r-cran-viridis.git
 Homepage: https://cran.r-project.org/package=viridis

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-viridis package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-viridis 0.6.4

=== debian/changelog ===
r-cran-viridis (0.6.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Jul 2023 18:07:52 -0500

r-cran-viridis (0.6.3-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:30:43 -0500

r-cran-viridis (0.6.3-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 May 2023 17:41:48 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-viridis
 Vcs-Git: https://salsa.debian.org/edd/r-cran-viridis.git
 Homepage: https://cran.r-project.org/package=viridis

## r-cran-viridis 0.6.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Package: viridis
 Type: Package
 Title: Colorblind-Friendly Color Maps for R
-Version: 0.6.2
+Version: 0.6.5
+Date: 2024-01-28
 Authors@R: c(
       person("Simon", "Garnier", email = "garnier@njit.edu", role = c("aut", "cre")),
       person("Noam", "Ross", email = "noam.ross@gmail.com", role = c("ctb", "cph")),
@@ -22,18 +23,18 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 Depends: R (>= 2.10), viridisLite (>= 0.4.0)
-Imports: stats, ggplot2 (>= 1.0.1), gridExtra
+Imports: ggplot2 (>= 1.0.1), gridExtra
 Suggests: hexbin (>= 1.27.0), scales, MASS, knitr, dichromat,
-        colorspace, raster, rasterVis, httr, mapproj, vdiffr, svglite
-        (>= 1.2.0), testthat, covr, rmarkdown, rgdal, maps
+        colorspace, httr, mapproj, vdiffr, svglite (>= 1.2.0),
+        testthat, covr, rmarkdown, maps, terra
 LazyData: true
 VignetteBuilder: knitr
 URL: https://sjmgarnier.github.io/viridis/,
         https://github.com/sjmgarnier/viridis/
 BugReports: https://github.com/sjmgarnier/viridis/issues
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2021-10-13 12:03:30 UTC; simon
+Packaged: 2024-01-28 16:20:23 UTC; simon
 Author: Simon Garnier [aut, cre],
   Noam Ross [ctb, cph],
   Bob Rudis [ctb, cph],
@@ -41,4 +42,4 @@
   Antônio Pedro Camargo [ctb, cph],
   Cédric Scherer [ctb, cph]
 Repository: CRAN
-Date/Publication: 2021-10-13 20:50:02 UTC
+Date/Publication: 2024-01-29 10:10:02 UTC

=== debian/changelog ===
r-cran-viridis (0.6.5-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Feb 2024 17:40:43 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r, r-cran-ggplot2, r-cran-gridextra, r-cran-viridislite
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-viridis
 Vcs-Git: https://salsa.debian.org/edd/r-cran-viridis.git
